package io.zipcoder;

import org.apache.commons.io.IOUtils;

import java.io.IOException;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;


public class Main {

    private static final Logger log = Logger.getLogger( ItemParser.class.getName() );

    public String readRawDataToString() {
        ClassLoader classLoader = getClass().getClassLoader();
        String result = null;
        try {
            result = IOUtils.toString(classLoader.getResourceAsStream("RawData.txt"));
        } catch (IOException e) {
            e.printStackTrace();
        }
        return result;
    }

    public static void main(String[] args) {
        String output = (new Main()).readRawDataToString();
        ItemParser parser = new ItemParser();
        parser.printOutput(output);
        }

        // TODO: parse the data in output into items, and display to console.
    }

